Package org.eclipse.swt.events

# Class DragDetectEvent

java.lang.Object
SWTEventObject
org.eclipse.swt.events.TypedEvent
org.eclipse.swt.events.MouseEvent
org.eclipse.swt.events.DragDetectEvent

public class DragDetectEvent extends MouseEvent
Instances of this class are sent as a result of a drag gesture.

Since:
  1.3
See Also:
  - `DragDetectListener`

## Field Summary

### Fields inherited from class org.eclipse.swt.events.MouseEvent

`button, count, stateMask, x, y`

### Fields inherited from class org.eclipse.swt.events.TypedEvent

`data, display, time, widget`

## Constructor Summary

Constructors
Constructor
Description
`DragDetectEvent(Event event)`
Constructs a new instance of this class based on the information in the given untyped event.

## Method Summary

### Methods inherited from class org.eclipse.swt.events.MouseEvent

`toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### DragDetectEvent

public DragDetectEvent(Event event)
Constructs a new instance of this class based on the information in the given untyped event.

Parameters:
  `event` - the untyped event containing the information